# wm-logs
记录`debian bookworm + wm`从0开始配置的历险记。

## 社区源
部分软件只有社区源(`https://repo.izero.im`)里有, debian官方源里并没有。


## 基础安装

```bash
# sudo apt install i3 ly alacritty xserver-xorg picom polybar rofi feh
sudo apt install bspwm ly i3lock-color alacritty xserver-xorg picom polybar rofi feh
```


- `ly` 一个TUI形式的`display manager`
- ~~`i3` 平铺式窗口管理管理器~~  // 从入门到放弃, 改为用bspwm了
- `bspwm` 另外一个平铺式窗口管理器
- `xserver-xorg` X服务, 也可以装`xorg`包
- `i3lock-color` i3lock的升级版, 支持背景 (需要加社区源, 见上方)
- `picom` 一个轻量的流行的特效合成器
- `polybar`  状态栏
- `rofi` 应用启动器
- `feh` 壁纸设置器


## 配套

```bash

# 字体 (需要要加社区源)
# 这2个官方源里就有
sudo apt install fonts-noto-cjk fonts-noto-color-emoji
# 这几个在社区源里
sudo apt install fonts-harmony-os-sans fonts-material-icons fonts-menlo fonts-raleway fonts-symbols-nerd-font


# 音频相关
## sudo apt install pavucontrol pulseaudio
sudo apt install pipewire

# 蓝牙相关
# 不安装 libspa-0.2-bluetooth, 连不上蓝牙耳机
# 
sudo apt install blueman libspa-0.2-bluetooth

# 需要将蓝牙图标放到托盘上时, 可以执行以下命令添加启动
# 不需要时, 可自行给polybar添加自定义模块, 因为托盘功能, 在polybar上体验不太好
systemctl --user daemon-reload
systemctl --user enable blueman-applet
systemctl --user start blueman-applet
```


## 娱乐功能

- `mpd, mpc` 音乐播放



### 一些系统配置

- `.Xmodmap` 键盘按键映射文件, 用于修改键盘按键。 我这里主要是调换`Super`和`Alt`键, 并把`大写键`改成一个用不到的日文键, 拿来做输入法切换。
- `.bashrc` bash的配置
- `.inputrc` 对文本输入的一些简单配置, 仅对使用`bash`时有效。


## 预览

<img src="./preview/power_rofi.png" style="max-width:720px;"> 